Welcome

Driver Sweeper
 Top Next
Welcome to Driver Sweeper Help

Thank you for using Driver Sweeper.

Click on one of the following items to start using the help file.

>> What is Driver Sweeper
>> System Requirements
>> Disclaimer
>> Support
>> History
>> Removing Drivers
>> Parameters
>> Contact
>> Online
>> Credits

Copyright © 2007-2008, Phyxion.net - Published by Guru3D.com. All Rights Reserved.


What is Driver Sweeper

 Top Next
What is Driver Sweeper?

Driver Sweeper is a fast tool to remove drivers from your system.
It's very important to remove your drivers on a proper way, because driver leftovers can cause stability and startup problems.
You can use it if you want to update/remove drivers from your system.

What can it be used for?

The current supported drivers are:

· AGEIA (PhysX)
· ATI (Display)
· Creative (Sound)
· Microsoft (Mouse)
· NVIDIA (Display)
· NVIDIA (Chipset)
· Realtek (Sound)


System Requirements

 Previous Top Next
System Requirements

You need either Windows 2000, XP or Vista to run Driver Sweeper.
Both 32-bit and 64-bit versions of Windows are supported.

On Windows x64 .NET 2.0 or higher is required.


Disclaimer

Disclaimer

Use this software at your own risk.

All logos and names are property of the rightful owners.
For personal use only, companies are not allowed to use
Driver Sweeper without asking permission from author.


Support

Support

You can show your appreciation for Driver Sweeper
and support future development by donating!

Please use PayPal using the recipient's email XDCleaner@Gmail.com .

Your donated money will go to KiKa ( www.kika.nl ),
which is a Dutch fund for children with cancer.

Any amount is appreciated.

Thank you very much!


History

History

Changelog (1.5.5) - 14-06-08

New:

- Single click restore from system tray.

Updated:

- Improved NVIDIA File cleaning (CUDA).
- Several translations.

Changelog (1.5.0) - 07-06-08

New:

- Redone GUI.
- You can now check after cleaning if an entry has been removed
or not without opening Logs.
If a checkbox is checked the entry is removed.
- Added popup after cleaning has been finished.
- Added French translation.
Thanks to NiukNiuk.
- Added Simplified Chinese translation.
Thanks to 王不留行.
- Added Danish translation.
Thanks to Animatrix.
- You can now add custom filters.
You can add filters for almost everything. Not only drivers,
but also filters for applications.
It's also possible to extend the current filters.
If you add a filter or extend a current filter, please send it
to DriverSweeper@Phyxion.net.

Files:
- You can use wildcards: * , this will find everything
matching the wildcard. You can use multiple wildcards
at the same time.

Example:

C:\Windows\System32\at*.*s
will find all files matching the at*.*s phrase.

- You can use all System Environment variables, like %Systemroot%.

Registry:
- If you want to remove a key in the registry, make sure
the value you want to clean ends with a \ .
- Values can be removed without a \ at end of value.

Example:

HKEY_LOCAL_MACHINE\Software\ATi Technologies\
will detect the key ATi Technolgies.

HKEY_LOCAL_MACHINE\Software\ATi Technologies\ATi
will detect the value ATi.

Directory:
- You can also use System Environment variables.
Fixed:

- NVIDIA LAN driver problem after deleting NVIDIA
Display drivers.
- Deleting directories could cause an error.
- ASIO cleaning redone for Creative - Sound, previous cleaning
could cause problems with other ASIO drivers.
- Registry restore not working properly in some cases.
- File cleaning now works properly on Windows x64. On older versions
almost no files where detected to be cleaned. This is a known bug which
exists in a lot of programs. This build fixes this problem, but
you need to have .NET 2.0 or higher installed.

Updated:

- Optimized scanning of files and registry keys.
- Changed save date and time format to yy-mm-dd.
- Improved ATi Registry cleaning.
- Improved NVIDIA File cleaning.
- Rewritten Desktop Icon Restorer, it's now compatible with
Windows x64 as well. Multiple displays are also supported.
On x64 version's you need to have .NET 2.0 or higher installed.

Special thanks to Dragunov and all translators for this release!

Changelog (1.0.0) - 23-09-07

New:

- Desktop Icon Position Restorer. This can restore the
positions of your desktop icons.
Only 32-bit Windows versions are supported at the moment.

Updated:

- Help is now opened maximized.
- Improved Creative File Cleaning.
Thanks to MrBozack.
- Improved Creative Registry Cleaning.
Thanks to MrBozack.
- New icons on toolbar.
- Added Spanish translation.
Thanks to _GalForD_.
- Added Portuguese translation.
Thanks to AmnesyA.
- Optimalizations.
- Window positions from Logs, Backups, Options and Desktop
Icon Restorer are now at the center of main.

Special thanks to Na'Ryan and Mr. T. for this release!

Changelog (0.9.0) - 27-07-07

New:

- You can now create a backup. You can enable this in Options.
You can restore a backup in Tools->Backup. All existing files
will be overwritten.
Files not able to backup will be backuped upon reboot.
Files not able to restore will be restored upon reboot.
Total diskspace used by backups and the diskspace per backup
can be found in Tools->Backup.
- Added option to remove the C:\ATi.
- Items can be selected using Enter if you are in the
select box.
- Items can be deleted using Enter if you are in the
remove box.
- You can "Run Sweeper" using Ctrl+R.

Fixed:
- On some systems reboot logged the PC off, instead of rebooting.
Thanks to JR.
- Bug in Options->Cleaning.
- System beep if you close Options, Log, Backup or About.
- Start a new cleaning process while the current
cleaning process is still running.
- Reboot will only occur if something is deleted.

Updated:
- Improved NVIDIA Registry Cleaning.
- Improved NVIDIA File Cleaning.
- Improved ATi Registry Cleaning.
- Added Japanese translation.
Thanks to ot_inc.
- Added Turkish translation.
Thanks to Kenan Balamir.
- Added Korean translation.
Thanks to unplugkim.
- Optimalizations.
- New layout of Logs.
- New main layout.
- Icons at messages (Warning, Reboot) are back.
- Reduced load on loading and saving logfiles.
- Logs are now saved in Unicode.
- Any open screens need to be closed now before
continue using application.

Changelog (0.7.5) - 07-07-07

New:

- Added a Help File. You can open this in Help->Contents
or by pressing F1.
- AGEIA PhysX File and Registry Cleaning.
The parameter is -AGEIA.
- Microsoft Mouse File and Registry Cleaning.
The parameter is -MMouse.
- Added English example to Languages.ini.
- You can now close Options, Logs and About using
the Escape button.
- Unicode support for Multilanguage, now you aren't
limited to ANSI signs anymore.
- Added program logo.
Thanks to z3r0x for his work on this.
- New layout for Options.
All cleaning stuff is splitted now. If you want
to Enable or Disable ALL File and/or Registry
Cleaning you can click on Cleaning.
- Layout changes for Logs and About.
- You can now select the Logs you want to remove
using checkboxes.
- Option to reboot the system after cleaning.
- Folders not able to delete will also be deleted
at reboot.

Fixed:

- Language selection could crash the program.
- Directory of executable wasn't properly
selected in some parts of the program
if you opened DriverSweeper using another application.
- File not found error.
Thanks to Na'Ryan and Jelle for helping me out
with this.
- Progressbar is now working as it should be.
- Everything is now reloaded if you open Options,
Logs or About.
- Logfiles weren't saved properly.

Updated:

- Added Finnish translation.
Thanks to Anarion.
- Added Russian translation.
Thanks to un1c0de and Adept.
- Added Ukrainian translation.
Thanks to un1c0de.
- Added German translation.
Thanks to z3r0x.
- Added Hungarian translation.
Thanks to Thrawn.
- Using different way to display the warning message.
This results in 17KB smaller exe size and localized
buttons.
- Removed some double language translations.
- Added translations for SystemTray.
- Massive improvement in ATi File Cleaning.
- Massive improvement in ATi Registry Cleaning.
- Improved NVIDIA Registry Cleaning.
- Improved Creative Registry Cleaning.
- Improved Realtek Registry Cleaning.
- Improved Realtek File Cleaning.
- More optimalizations done for translations.
- Further optimalizations.
- Items in Logs are now sorted.

Translations can be send to DriverSweeper@Phyxion.net

Special thanks to z3r0x for this release!

Changelog (0.4.5) - 20-06-07

New:

- Multilanguage support.
You can now add your own languages for DriverSweeper.
How to add more languages:
Open the languages.ini file. If you open it you
see a sample of the translation into Dutch and Polish.
Copy one translation and paste it in the same
file. Rename [Dutch] or [Polish] to the language you want
to translate. Finished translations can be send to:
DriverSweeper@Phyxion.net
- Buttons to add and remove everything.
- Parameter '-Quit' will Quit the application
after drivers have been cleaned using parameters.
- It's possible to delete C:\NVIDIA.
You can enable this in Options->Miscellaneous.
It's no problem if you have Windows installed
on a different drive then C:\.
- Display warning message before cleaning.
You can disable this in Options->Miscellaneous.

Fixed:

- Disabled Remove buttons if nothing is selected.
- Deleted and Not deleted in Logs weren't
always working properly.
- Directory of executable wasn't properly
selected if you opened DriverSweeper using another
application (Like Total Commander and FTPRush).
- Realtek Audio cleaned under weird circumstances
a file from Realtek LAN.
Thanks to nCaine for notifying.

Updated:

- A lot of optimalizations are done.
- Removed some unneeded code.
- Creative and Realtek Files & Registry fixes.
- Files not deleted (In use, for example)
will be removed at next reboot.
You can disable this in Options.
This also means it is now possible to properly
clean drivers without booting into Safe Mode.
After using the official uninstaller of the drivers,
you can use Driver Sweeper and reboot your PC.
- Options rearranged.
- Added Dutch translation.
- Added Polish translation.
Thanks to NekroSoft13.

Changelog (0.4.1) - 06-06-07

New:

- Guru3D - Driver Cleaner has been renamed to
Guru3D - Driver Sweeper (G3DDS).

Fixed:

- No log files will be created anymore if nothing
is cleaned.

Updated:

- Parameters aren't case sensitive anymore.
- The parameters are now:
-NVIDIA
-NVIDIAChipset
-ATi
-Creative
-Realtek
- Improved NVIDIA File Cleaning.
- Rewritten some code for Clean & Select box.
- Some layout fixes for main.

Changelog (0.4.0) - 03-06-07

New:

- XDC is renamed to Guru3D - Driver Cleaner.
The short name will be G3DDC.
- Added version information to the executable.
It is now possible to check information about G3DDC
using Properties under Microsoft Windows.
- Added the option to start with parameters.
These are the current supported parameters:
NVIDIA
NVIDIAChipset
ATi
Creative
Realtek
For example,

"\G3DDC.exe" NVIDIA ATi

will clean NVIDIA Display and ATi Display drivers.

You can do this by creating a shortcut to the
program's exe file and add the parameters next to it.
With this you don't have to select the to-be-cleaned
drivers anymore, and will save you time if you
are always cleaning the same drivers.
- Added key combinations to open program parts.
Check menu for the key combinations.
- It is now possible to minimize to systemtray.
You can enable this in the options (Standard disabled).
Fixed:

- Resizing is disabled.
- Improved progressbar.

Updated:

- Reduced filesize.
- Changed the version numbers to x.y.z (previous x.yz).
- Internal optimalizations.
- Improved NVIDIA File cleaning.
- Rewritten most logs code.
- Redone some About code.
- Removed minimize and maximize buttons
from About, Options and Log.
- You now have to double click on items
in other logs to get them in Deleted and Not deleted.

Changelog (0.35) - 28-05-07

New:

- Added Realtek File and Registry cleaning.
This includes InstallShield cleaning.
- Added ability to save the logfiles. This is disabled
by default. You can enable this in the Options or
change it in the ini file under the Logfiles section.
You can view previous logfiles by clicking on Older
Logs. Click on the logname what you want to view.
The items will be added under the proper sections.
After clicking the Clean button, the most recent
logs are found also under Deleted and Not deleted.
You can remove the log files by clicking on a logname
and then the remove button. Remove All removes all
logfiles from the Logs folder.

Updated:

- Improved NVIDIA File cleaning.
Thanks to adrichardson for providing some filenames.
- Improved NVIDIA Registry cleaning.
Thanks to adrichardson for providing some keynames.
- Improved NVIDIA Chipset Registry cleaning.
- Redone About. Please check it.
- Improved ATi File cleaning.
- New layout for Log.
- New layout for Options.

Changelog (0.30) - 20-05-07

New:

- Added Options in the menu to check what you want to clean.
(Eq NVIDIA File, NVIDIA Registry)
Now it isn't needed anymore to edit it in the ini file.
- Added NVIDIA Chipset cleaning.
- Added InstallShield cleaning to Creative File cleaning
(Thanks to adrichardson).
Fixed:

- Fixed a bug with ATi File cleaning if install path wasn't standard.
- Fixed a bug in the progressbar, it did not work properly.

Updated:

- Rewritten all ini files code (again).
- Changed the captions of the Select and Delete buttons to >> and <<.
- Improved NVIDIA File cleaning. There are a lot of new files added.
- Rewritten all delete code.
- Removed some unneeded code.
- Updated the functions to get the System directories.

Changelog (0.25) - 16-05-07

New:

- Added ATi Registry cleaning
- Changed the maintitle of the program.
- Added a Menu to improve the layout.
- Added Creative Registry cleaning and File cleaning.

Fixed:

- Ini file will now be saved when the program closes.
Now it isn't needed to delete the ini file after a program update.

Updated:

- Improved ATi File cleaning.
- Further optimalizations.
- Changed the selectable names. Type is now included.
- Rewritten the ini files code.

Changelog (0.2a) - 14-05-07

Fixed:

- Bug fixed that no files from NVIDIA where deleted.

Changelog (0.2) - 12-05-07

New:

- Log to check if your remaining files are deleted or not.
- Ini file. You can change in here (1 <-> 0) if you want
NVIDIA Registry cleaning and/or NVIDIA File cleaning.
I decided to go for ini files because I want it to be a
portable application too. If no ini file exists, a new one
will be created with both NVIDIA Registry cleaning and NVIDIA File cleaning on.

Updated:

- A lot of internal cleaning/fixes.
- Completely rewritten the Registry cleaning (Not the values to be cleaned).
- Added a new file to NVIDIA File cleaning.
- Redone "About".

Changelog (0.1) - 09-05-07

New:

- Basic ATi File cleaning
- Added NVIDIA Registry cleaning

Updated:

- Improved File cleaning for NVIDIA
- Improved layout
- Internal fixes

Changelog (initial version) - 07-05-07

New:

- Initial version.


Removing Drivers

How to use?

The following steps are the best way to clean the drivers from your system.

· Use the official uninstaller(s) of the driver(s) you want to uninstall.
· Reboot your PC in Safe Mode (Optional).
· Run Driver Sweeper and select what to clean.
· Analyse lists all the entries to remove, where cleaning removes the entries selected.

Make sure you run Driver Sweeper in Administrator Mode!


Parameters

Parameters

If you want to start Driver Sweeper with parameters, create a shortcut and add
one of the following parameters:

· -AGEIA
· -ATi
· -Creative
· -MMouse
· -NVIDIA
· -NVIDIAChipset
· -Quit
· -Realtek

Example

"\DriverSweeper.exe" -NVIDIA -ATi -Quit

This will clean both NVIDIA Display and ATi Display drivers at program
startup and close the program after cleaning is finished


Custom Filters
Custom Filters

It's possible to create your own filters in Driver Sweeper.
You can create filters for files, directories and registry.
Extending current filters and creating new filters is possible.

Files:
- You can use wildcards: * , this will find everything
matching the wildcard. You can use multiple wildcards
at the same time.

Example:

C:\Windows\System32\at*.*s
will find all files matching the at*.*s phrase.

- You can use all System Environment variables, like %Systemroot%.

Directory:
- You can use all System Environment variables, like %Systemroot%.

Registry:
- If you want to remove a key in the registry, make sure
the value you want to clean ends with a \ .
- Values can be removed without a \ at end of value.

Example:

HKEY_LOCAL_MACHINE\Software\ATi Technologies\
will detect the key ATi Technolgies.

HKEY_LOCAL_MACHINE\Software\ATi Technologies\ATi
will detect the value ATi.


Contact

Contact

You can send questions, entries, suggestions or feedback to

DriverSweeper@Phyxion.net


Online

Online

You can find new versions on the Driver Sweeper Home Page or on Guru3D .

A Revision History can be found on the Driver Sweeper Home Page.


Credits

 Previous Top
Credits

Thanks to all people who helped with the development of Driver Sweeper.

Special thanks to:

· z3r0x for his work on the program logo and the German translation.
· NekroSoft13 for his work on the Polish translation and providing webspace.
· un1c0de for his work on the Russian and Ukrainian translation.
· Thrawn for his work on the Hungarian translation.
· Anarion for his work on the Finnish translation.
· ot_inc for his work on the Japanese translation.
· Kenan Balamir for his work on the Turkish translation.
· unplugkim for his work on the Korean translation.
· _GalForD_ for his work on the Spanish translation.
· AmnesyA for his work on the Portuguese translation.
· iVoka for his work on the Bulgarian translation.
· NIT for his work on the Traditional Chinese translation.
· NiukNiuk for his work on the French translation.
· 王不留行 for his work on the Simplified Chinese translation.
· L.J. for his work on the Danish translation.
· Na'Ryan and Jelle for helping me with testing.
· Adrichardson for providing values for NVIDIA Cleaning.
· MrBozack for providing values for Creative Cleaning.
· Dragunov for his support.
· un1c0de for his support.
· Mr. T for his support and hosting.
· Guru3D.com for support and hosting.